'************************************************************************************
'*                                                                                  *
'*  QVolumeInfo: Retrieve infromation from your connected volumes                   *
'*  ------------------------------------------------------------------------------  *
'*                                                                                  *
'*  Poperties:                                                                      *
'*      Serial: Serial given to volume during creation of partitions                *
'*      Name: Name of Drive                                                         *
'*      FileSystem: NTFS, FAT32 etc...                                              *
'*      DriveRoot: Driveletter of current drive                                     *
'*                                                                                  *
'*      Bytes: bytes / sector                                                       *
'*      Sectors: sectos / cluster                                                   *
'*      TotalClusters: total number of cluster on volume                            *
'*      FreeClusters: number of free clusters on volume                             *
'*      TotalBytes: total number of bytes on volume                                 *
'*      FreeBytes: number of free bytes on volume                                   *
'*      TotalSpace: short string representation of total space on volume            *
'*      FreeSpace: short string representation of free space on volume              *
'*                                                                                  *
'*      DriveType: drivetype as integer                                             *
'*      DriveTypeString: string representation of drivetype                         *
'*      DriveTypeUnknown: 0 if drivetype is known, 1 if drivetype is unknown        *
'*                                                                                  *
'*  ------------------------------------------------------------------------------  *
'*                                                                                  *
'*  Methods                                                                         *
'*      SelectDrive(DriveRoot): call this first before retrieving properties        *
'*      GetStringFormat(NumberOfBytes): returns a short string rep. (xx KB, MB, GB) *
'*                                                                                  *
'*  ------------------------------------------------------------------------------  *
'*  Author: Alain Besseleer alias Midipro2000                                       *
'*  Date: July 25, 2009                                                             *
'*  Version: 1.0                                                                    *
'*                                                                                  *
'************************************************************************************

$Include "QVolumeInfo.inc"

dim VolumeInfo as QVolumeInfo
    VolumeInfo.SelectDrive("c:")
    
showmessage "The Serial of drive " + VolumeInfo.DriveRoot + " = " + VolumeInfo.serial
showmessage "Total size: " + VolumeInfo.TotalSpace + chr$(10) + "Free: " + VolumeInfo.FreeSpace
showmessage "Drivetype = " + VolumeInfo.drivetypestring + chr$(10) + "Drivetype = " + str$(VolumeInfo.drivetype)
showmessage "FileSytem = " + VolumeInfo.FileSytem
